<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classmelon_1_1_gaussian_process.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">melon::GaussianProcess&lt; T &gt; Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#aae8bb3d11aff0e09abd06a04c79ce919">_calculate_covariance_vector</a>(std::vector&lt; T &gt; input, RandomAccessIterator &amp;internalVariables, const bool fullSpace, std::vector&lt; T &gt; &amp;constraints) const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a6e0cf68a04c497a3b5f6ac9ba23f9105">_calculate_prediction</a>(std::vector&lt; T &gt; covarianceVector, RandomAccessIterator &amp;internalVariables, const bool fullSpace, std::vector&lt; T &gt; &amp;constraints) const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a2f9be500790e7a7f8f01e905bab43286">_calculate_variance</a>(std::vector&lt; T &gt; covarianceVector, RandomAccessIterator &amp;internalVariables, const bool fullSpace, std::vector&lt; T &gt; &amp;constraints) const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a7a0e63218ed6e1c2c03ef0da5f0eee3e">_data</a></td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#ab71eff604f282686adc536b2692414a6">_inputScaler</a></td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a281daa122ee8cde5ea35d22febfb9830">_kernel</a></td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a17ac3b399c0615c5e4033f532e8cc7c4">_modelLoaded</a></td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#ac4976122607a44955492fec1ab61f015">_parameterScaler</a></td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a79a4a98914ebfc91398a20b9014726e1">_parserFactory</a></td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a0c4066fe0ac0bdcb4947d7e8ee0ee0fd">_predictionScaler</a></td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#ab783bd628a80774149c34f0e2b8f8f48">_set_constraints</a>(std::vector&lt; T &gt; &amp;constraints, std::vector&lt; T &gt; &amp;constraintEvaluation, RandomAccessIterator &amp;constraintValue) const</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a7b1045b2b3c48d7e89042abbf042184e">_set_constraints</a>(std::vector&lt; T &gt; &amp;constraints, T &amp;constraintEvaluation, RandomAccessIterator &amp;constraintValue) const</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a8eec30fd8d4072723776d87b5c510b15">_set_data_object</a>(std::shared_ptr&lt; const ModelData &gt; modelData) override</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#aefa8c94b875d1c3162326c04fc3794e9">_set_kernel</a>(std::shared_ptr&lt; const GPData &gt; data)</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#aea1c4e3fa274464c3cee7639f90ddbb2">calculate_prediction_and_variance_full_space</a>(std::vector&lt; T &gt; input, std::vector&lt; T &gt; internalVariables, std::vector&lt; T &gt; &amp;constraints) const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a9b9fd56e1979ed3d19dd1ea1e5c20f6d">calculate_prediction_full_space</a>(std::vector&lt; T &gt; input, std::vector&lt; T &gt; internalVariables, std::vector&lt; T &gt; &amp;constraints) const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a9b51f0e927d803d0fef8e55a6048db9f">calculate_prediction_reduced_space</a>(std::vector&lt; T &gt; input) const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a94eabcf5f7738b9b8a153fdcdecc6227">calculate_variance_full_space</a>(std::vector&lt; T &gt; input, std::vector&lt; T &gt; internalVariables, std::vector&lt; T &gt; &amp;constraints) const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a6c7f1bb9cf6432e92cb6e1fa1682173f">calculate_variance_reduced_space</a>(std::vector&lt; T &gt; input) const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a1e8c3d8b831d23f84ed287936cfddee6">data</a>() const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a386be5795c1407b0df246c12b8035054">GaussianProcess</a>()</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#ae1c32e218afd15ba63535b145d9856e8">GaussianProcess</a>(std::string modelName)</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#ad022caec3e9f32a89a554afa9ea77883">GaussianProcess</a>(std::string modelPath, std::string modelName)</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a5d6d128dfb4eca209c55da37ea1c2f87">GaussianProcess</a>(std::shared_ptr&lt; const GPData &gt; modelData)</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a24caeed57b90c191e62dc0142b94fea2">get_full_space_variables_prediction</a>(unsigned int &amp;variableNumber, std::vector&lt; std::string &gt; &amp;variableNames, std::vector&lt; std::pair&lt; double, double &gt; &gt; &amp;variableBounds) const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a0e0ade2765c9ac980f7d800a70ef24b7">get_full_space_variables_prediction_and_variance</a>(unsigned int &amp;variableNumber, std::vector&lt; std::string &gt; &amp;variableNames, std::vector&lt; std::pair&lt; double, double &gt; &gt; &amp;variableBounds) const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a579feefd59d2f49a68355a7fa60f6aca">get_full_space_variables_variance</a>(unsigned int &amp;variableNumber, std::vector&lt; std::string &gt; &amp;variableNames, std::vector&lt; std::pair&lt; double, double &gt; &gt; &amp;variableBounds) const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a006eeec94356a5c0d487afe48576c5da">get_input_dimension</a>() const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a35581bbd6af8440edc7a1b61215a005b">get_maximum_of_training_data_outputs</a>() const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a0e3d14f20ee559d8cf964ebf36bc386b">get_minimum_of_training_data_outputs</a>() const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a88731473ec79c91e7d76b73f445abca5">get_normalized_observations</a>() const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#ae4ee37192b3384763b4e43c8c3d345ee">get_number_of_full_space_variables_prediction</a>() const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a585d1d461394871c97aad401c2228c99">get_number_of_full_space_variables_prediction_and_variance</a>() const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#aa57f8f0996f1a8f467d4e0a4460daccc">get_number_of_full_space_variables_variance</a>() const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a99abab766cd09603c980597d38116d53">get_number_of_training_data_points</a>() const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#ac30f580feffc439827c21b45186306b7">get_observations</a>() const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a42d8f0f48eb7287d56c02669311c948d">inputScaler</a>() const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#ab97b001f7292c45711747d1c8a2af0c4">kernel</a>() const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a9acb78ea183bc6bf583540efcef58a0b">load_model</a>(std::string modelName, MODEL_FILE_TYPE fileType)</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#ae002de8e7c020adfcad49ce7e050066e">load_model</a>(std::string modelPath, std::string modelName, MODEL_FILE_TYPE fileType)</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a37fb378f8eabbcfdb7db707dbfa04a26">load_model</a>(std::shared_ptr&lt; const ModelData &gt; modelData)</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a0877da878cabba96d129b5e2540b9eca">MelonModel</a>(std::shared_ptr&lt; ModelParserFactory &gt; parserFactory)</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#a47e87f482e0b7a8d6ab7ed6640af3d2c">parameterScaler</a>() const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html#adccc51ca01998882d9fbc13d4c4b8f6d">predictionScaler</a>() const</td><td class="entry"><a class="el" href="classmelon_1_1_gaussian_process.html">melon::GaussianProcess&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html#a1c7f4a28d7a34e48a93b9899a66204b0">~MelonModel</a>()=default</td><td class="entry"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
